PROJ = 3viewpkt
PROJFILE = 3viewpkt.mak
DEBUG = 0

CC  = cl
CFLAGS_G  = /AL /W4 /G2 /Zp1 /J /BATCH
CFLAGS_D  = /Giout\$(PROJ).mdt /Zi /Od
CFLAGS_R  = /Ot /Gs
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  =  /NOI /STACK:8192  /BATCH
LFLAGS_D  = /CO /INC /FAR /PACKC /PACKD /PMTYPE:VIO
LFLAGS_R  = /EXE /FAR /PACKC /PACKD /PMTYPE:VIO
LINKER  = link
ILINK  = ilink
LRF  = echo > NUL

OBJS  = out\3viewpkt.obj out\3mailin.obj out\3supp.obj out\3aerror.obj

all: out\$(PROJ).exe

.SUFFIXES:
.SUFFIXES: .obj .c

out\3viewpkt.obj : 3viewpkt.c
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\3viewpkt.obj 3viewpkt.c
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\3viewpkt.obj 3viewpkt.c
!ENDIF

out\3mailin.obj : 3mailin.c
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\3mailin.obj 3mailin.c
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\3mailin.obj 3mailin.c
!ENDIF

out\3supp.obj : 3supp.c
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\3supp.obj 3supp.c
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\3supp.obj 3supp.c
!ENDIF

out\3aerror.obj : 3aerror.c
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\3aerror.obj 3aerror.c
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\3aerror.obj 3aerror.c
!ENDIF


out\$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
        $(LRF) @<<out\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
        $(LRF) @<<out\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF

!IF $(DEBUG)
        $(LINKER) @out\$(PROJ).lrf
!ELSE
        $(LINKER) @out\$(PROJ).lrf
!ENDIF


.c.obj :
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF


run: out\$(PROJ).exe
        out\$(PROJ).exe $(RUNFLAGS)

debug: out\$(PROJ).exe
        CVP $(CVFLAGS) out\$(PROJ).exe $(RUNFLAGS)
