/*
 * 3aerror.c
 * code to display errors
 * Public Domain
 */

#include <stdio.h>
#include <errno.h>
#include "3mail.h"


void error3a (int error) {

  /* display an error message to stdout */

  char *errs[] = {
    "No error",
    "Out of memory",
    "Open error",
    "Read error",
    "Bad pkt header",
    "Bad msg header",
    "Not a type 3 ASCII pkt",
    "Write error",
    "Seek error",
    "End of pkt"
  };

  if(error > MAXERR3) {
    printf("\nERROR: Unknown (#%d)\n",error);
  }
  else {
    printf("\nERROR: %s (errno = %d)\n",errs[error],errno);
  }
}
